package de.ivu.elect.presentation.gebietsbaum.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.stimmeingabe.menu.StimmeingabePageMenu;

public class AnzahlWahlberechtigteExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.ANZAHL_WAHLBERECHTIGTE_EXPORTIEREN;
  }

  @Override
  public String getPageMenuComponentName() {
    return StimmeingabePageMenu.COMPONENT_NAME;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return true;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.ANZAHL_WAHLBERECHTIGTE_EXPORT;
  }

  @Override
  public String getExportSearchViewId() {
    return AnzahlWahlberechtigteExportView.VIEW_ID;
  }
}
